<!-- toggle button -->
<div (click)="toggle()" class="app-toggle">
  <!-- user card icon -->
  <app-icon-user-card></app-icon-user-card>

  <!-- up -->
  <app-icon-arrow-drop-up *ngIf="opened; else down"></app-icon-arrow-drop-up>

  <!-- down -->
  <ng-template #down>
    <app-icon-arrow-drop-down></app-icon-arrow-drop-down>
  </ng-template>
</div>

<!-- card -->
<app-card
  (outsideClick)="close()"
  *ngIf="opened"
  [(verticalPriority)]="vertical"
  [outsideDetectorContainer]="elementRef"
  [positionDetectorContainer]="elementRef"
  appPositionDetector
  appOutsideDetector
  class="app-permissions"
>
  <!-- title -->
  <app-card-title>
    ACCESS PERMISSION
  </app-card-title>

  <!-- permission -->
  <app-permissions [permissions]="permissions" [readOnly]="true"></app-permissions>
</app-card>
